## reportbug 7.5.2ubuntu1

=== debian/changelog ===
reportbug (7.5.2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 01 Feb 2019 22:29:46 -0500

reportbug (7.5.2) unstable; urgency=medium

  * bin/reportbug
    - automatically add ftbfs tag for does-not-build severity, patch by Logan
      Rosen; Closes: #903865
    - fix UnicodeDecodeError crash with debconf-show output, patch by Nis
      Martensen; Closes: #892898
  * reportbug/utils.py
    - add listccme to CONFIG_ARGS, patch by Shengjing Zhu
  * add `outfile` option to reportbug.conf; patch by Jonathan Rubenstein;
    Closes: #916985
  * reportbug/debbugs.py
    - since 2.2, python-debianbts already parses bugs messages as `email`
      object, so dont parse them again
    - copy debian-boot@ ml for every ftp.debian.org override bugs;
      Closes: #893873
    - dont force binary->source package conversion in ftp.debian.org bug
      handling; Closes: #908650
    - remove `debian-maintainers` pseudo-package, it's been deprecated
  * bin/reportbug, reportbug/ui/__init__.py
    - be explicit on why a UI is unavailable when passing -u XYZ on the
      command-line; Closes: #876372
  * reportbug/{bugreport.py, utils.py}
    - add kernel taint flags information to bug report "System Information"
      section; Closes: #865153
  * Extend copyright years to 2019
  * Makefile
    - add `clean` target to remove python build artifacts, patch by Nis
      Martensen; Closes: #918537
  * conf/reportbug.conf
    - fix example for `mua`, patch by Nis Martensen; Closes: #918536
  * reportbug/ui/gtk2_ui.py
    - fix crash by accepting the `exitstatus` argument to `on_child_exited()`;
      patch by Nis Martensen; Closes: #916297
  * bin/reportbug, reportbug/utils.py
    - make sure to run bugscripts in a terminal even with the GTK UI; patch by
      Nis Martensen; Closes: #669038, #803675
  * Rename gtk2 UI to gtk, patch by Nis Martensen; Closes: #848207

 -- Sandro Tosi <morph@debian.org>  Thu, 31 Jan 2019 20:57:49 -0500

reportbug (7.5.1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 25 Nov 2018 20:55:24 -0500

reportbug (7.5.1) unstable; urgency=medium

  * debian/control
    - mark reportbug-gtk as priority: optional; Closes: #910814
  * reportbug/debbugs.py
    - ftp.debian.org removal bugs should say "package(s)"; Closes: #912967
  * reportbug/utils.py
    - restore stderr messages on the terminal, as it's sometimes useful; patch
      by Nis Martensen; Closes: #882130
    - detect Runit as init system, patch by Lorenzo Puliti; Closes: #913236
    - recognize held packages as installed, patch by Nis Martensen;
      Closes: #905353
  * bin/reportbug
    - wildcard globbing for attachments should attach in alphabetical order,
      patch by Nis Martensen; Closes: #906990
  * reportbug/ui/urwid_ui.py
    - fix regression in opening editor from Urwid UI, patch by John Scott;
      Closes: #903969, #908515, #904391
  * Add --list-cc-me option to X-Debbugs-CC your detected email address, patch
    by Josh Triplett; Closes: #910697

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Nov 2018 15:27:06 -0500

reportbug (7.5.0ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 17 Nov 2018 22:24:49 -0500

reportbug (7.5.0) unstable; urgency=medium

  * debian/control
    - update Vcs-* to point to salsa; drop Homepage pointing to alioth
  * migrate to debian-reportbug@lists.debian.org; Closes: #899684
  * reportbug/debbugs.py
    - fix a typo in the serious severity description; Closes: #894972
    - add contributors.debian.org to pseudo-packages list
    - since it's now in LTS status, comment out jessie-pu from the list of
      suites presented for release.debian.org; Closes: #902379
  * replace 999999@b.d.o with a more generic nnnnnn@b.d.o; Closes: #891144
  * reportbug-gtk package created
    - a new package now installs the desktop file only along with the
      dependencies to make it work; desktop install tasks should depend
      on the new reportbug-gtk package; patch by Stephen Paul Weber;
      Closes: #842018, #872300, #902593
  * remove utils.get_cpu_cores() in favor or os.cpu_count(), as available on
    python3; Closes: #894208
  * reportbug/submit.py
    - dereference symbolic links when detecting file type; patch by Nis
      Martensen; Closes: #885959
  * remove unused Python imports; patch by Markus Hackspacher; Closes: #867337
  * lookup package short description using apt python bindings; patch by Nis
    Martensen; Closes: #564112, #876373, #502860
  * reportbug/bugreport.py
    - dont add the novice bug template if the bug report body was provided on
      the command-line (even if in low-level modes); Closes #890793
  * dont add the 'System Information' section when running reportbug with the
    option --from-buildd; Closes: #865812
  * add explicit text to clarify the newer releases menu (some of which could be


=== debian/control ===
Source: reportbug
Section: utils
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 10), python3, dh-python
Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock
Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug

Package: reportbug
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-reportbug (= ${source:Version}), sensible-utils
Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, reportbug-gtk (= ${source:Version}), xdg-utils, emacs24-bin-common | emacs25-bin-common, claws-mail (>= 3.8.0)
Description: reports bugs in the Debian distribution
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with mutt and mh/nmh mail readers.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Automatic checking for newer versions of packages.
  * Optional automatic verification of integrity of packages via debsums.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 reportbug is designed to be used on systems with an installed mail
 transport agent, like exim or sendmail; however, you can edit the
 configuration file and send reports using any available mail server.
 .
 This package also includes the "querybts" script for browsing the
 Debian bug tracking system.
 .
 REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
 IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
 INSTEAD (from the "apport" package).

Package: python3-reportbug
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 1.13), file, python3-requests, python3-apt
Suggests: reportbug
Description: Python modules for interacting with bug tracking systems
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.
 .
 This package includes Python modules which may be reusable by other
 tools that want to interact with the Debian bug tracking system.
 .
 To actually report a bug, install the reportbug package.

Package: reportbug-gtk
Architecture: all
Priority: optional
Depends: ${misc:Depends}, reportbug (= ${source:Version}), python3-gi, python3-gi-cairo, gir1.2-gtk-3.0, gir1.2-vte-2.91, python3-gtkspellcheck
Description: reports bugs in the Debian distribution (GTK+ UI)
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with mutt and mh/nmh mail readers.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Automatic checking for newer versions of packages.
  * Optional automatic verification of integrity of packages via debsums.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 reportbug is designed to be used on systems with an installed mail
 transport agent, like exim or sendmail; however, you can edit the
 configuration file and send reports using any available mail server.
 .
 This package contains a desktop file and icon, and has dependencies
 to enable the GTK+ UI mode of reportbug to work.

## reportbug 7.5.3~deb10u1

=== Makefile ===
#! /usr/bin/make -f

NOSETESTS = nosetests3 test -v --stop
nosetests_cmd = $(NOSETESTS) ${NOSETESTS_OPTS}

.PHONY: tests
tests:
	$(nosetests_cmd)

# run tests not requiring network
.PHONY: quicktests
quicktests: NOSETESTS_OPTS += --processes=4 --attr='!network'
quicktests:
	$(nosetests_cmd)

coverage: NOSETESTS_OPTS += --with-coverage --cover-package=reportbug
coverage:
	$(nosetests_cmd)

coverhtml: NOSETESTS_OPTS += --cover-html
coverhtml: coverage

codechecks: pep8 pyflakes pylint

pep8:
	pep8 --verbose --repeat --show-source --filename=*.py,reportbug,querybts . --statistics --ignore=E501

pyflakes:
	pyflakes . bin/*

pylint:
	pylint --output-format=colorized  bin/* reportbug/ checks/* test/ setup.py

.PHONY: clean
clean:
	find . -type f -name '*.pyc' -delete
	find . -type d -name '__pycache__' -delete
	rm -rf build
	rm -rf reportbug.egg-info

=== debian/changelog ===
reportbug (7.5.3~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Re-enable submitting stretch-pu requests.
  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Aug 2019 13:52:06 +0200

reportbug (7.5.3) unstable; urgency=medium

  * debian/control
    - replace emacs* Suggests with emacs-bin-common; Closes: #925422
    - bump Standards-Version to 4.4.0 (no changes needed)
    - add sensible-utils dep, patch by Nis Martensen
  * reportbug/debbugs.py
    - when handling ftp.d.o, dont look up package information if the package
      doesnt exist, fixing a crash; Closes: #923631
    - fix a crash with stable version lookup, patch by Nis Martensen;
      Closes: #935602
  * bin/reportbug
    - remove debug code when handling list-cc-me, patch by Josh Triplett
  * reportbug/utils.py
    - update release names, following Buster releases, patch by Nicolas
      Braud-Santoni; Closes: #932524, #931609
    - recognize versioned Provides; patch by Nis Martensen; Closes: #934472
  * man/reportbug.1
    - add default for --draftpath; patch by laokz

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Aug 2019 19:54:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Standards-Version: 4.1.2
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 10), python3, dh-python
 Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock
 Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
@@ -13,7 +12,7 @@
 Package: reportbug
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-reportbug (= ${source:Version}), sensible-utils
-Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, reportbug-gtk (= ${source:Version}), xdg-utils, emacs24-bin-common | emacs25-bin-common, claws-mail (>= 3.8.0)
+Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, reportbug-gtk (= ${source:Version}), xdg-utils, emacs-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
@@ -32,15 +31,11 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 1.13), file, python3-requests, python3-apt
+Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 1.13), file, python3-requests, python3-apt, sensible-utils
 Suggests: reportbug
 Description: Python modules for interacting with bug tracking systems
  reportbug is a tool designed to make the reporting of bugs in Debian

## reportbug 7.5.3~deb10u2

=== debian/changelog ===
reportbug (7.5.3~deb10u2) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Render package version PEP-440 compliant
  
 -- Bastien Roucariès <rouca@debian.org>  Sat, 25 Nov 2023 20:46:39 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sandro Tosi <morph@debian.org>
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 10), python3, dh-python
-Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock
+Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock, python3-packaging
 Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
 Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug

## reportbug 7.5.3+devuan3

=== debian/changelog ===
reportbug (7.5.3+devuan3) unstable; urgency=medium

  * Use mx.devuan.org as default smtphost (Closes: #390).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 06 Feb 2020 18:21:31 +0000

reportbug (7.5.3+devuan2) unstable; urgency=medium

  * When reporting to Devuan, only offer the available severities
    (Closes: #54).
  * Correct Devuan BTS cgiroot URL.
  * Don't send queries for Devuan BTS (Closes: #134).
  * Send to Devuan BTS by default (Closes: #381).
  * Add the Devuan specific list of pseudopackages.
  * d/control: Add Origin: Devuan.
  * Add new *-mirrors pseudopackages.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 31 Jan 2020 11:50:18 +0000

reportbug (7.5.3+devuan1) unstable; urgency=medium

  * Merge debian version 7.5.3.
  * Change maintenance to Devuan Developers list.
  * Add debian-tag to d/gbp.conf.
  * Update Vcs-* fields to Devuan urls.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 19 Dec 2019 11:09:31 +0000

reportbug (7.5.1+devuan1) unstable; urgency=medium

  * merge 7.5.1 form upstream
  * change default to no-query-bts 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 16 Dec 2018 16:37:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders:
+	Mark (LeePen) Hindley <mark@hindley.org.uk>,
+	Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 10), python3, dh-python
-Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock, python3-packaging
-Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
-Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug
+Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock
+Vcs-Git: https://git.devuan.org/devuan-packages/reportbug.git
+Vcs-Browser: https://git.devuan.org/devuan-packages/reportbug
+Origin: Devuan
 
 Package: reportbug
 Architecture: all

## reportbug 7.6.0

=== debian/changelog ===
reportbug (7.6.0) unstable; urgency=medium

  [ Bastian Venthur ]
  * Update to debianbts 2.10
  * replace mock w/ unittest.mock (available since py3.3)

  [ Salvatore Bonaccorso ]
  * reportbug/debbugs.py
    - allow to fill stretch-pu updates against release.d.o; Closes: #938941

  [ Paul Gevers ]
  * reportbug/debbugs.py
    - Add template to unblock release.debian.org bugs

  [ Nis Martensen ]
  * show name of output file in GTK+ ui; Closes: #941257
  * reportbug/debbugs.py
    - do not show `newcomer` tag in novice mode; Closes: #941961
  * reportbug/ui/text_ui.py
    - fix the total bug count not to be equal only to wishlist bugs;
      Closes: #922014
  * reportbug/utils.py
    - query dpkg status with unambiguous package name; Closes: #932383

  [ Fabrice BAUZAC ]
  * reportbug/ui/urwid_ui.py
    - suggest to install python3-urwid for the urwid UI; Closes: #944562
  * reportbug/ui/gtk_ui.py
    - suggest to install reportbug-gtk for the GTK+ UI; Closes: #944515

  [ Andrei POPESCU ]
  * Download and use maintainer mbox whenever applicable; Closes: #933765

  [ Sandro Tosi ]
  * doc/README.developers
    - add a section describing why bugscripts are executed with LC_ALL=C;
      Closes: #946326

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Dec 2019 13:18:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders:
-	Mark (LeePen) Hindley <mark@hindley.org.uk>,
-	Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
+Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Uploaders: Sandro Tosi <morph@debian.org>
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 10), python3, dh-python
-Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock
-Vcs-Git: https://git.devuan.org/devuan-packages/reportbug.git
-Vcs-Browser: https://git.devuan.org/devuan-packages/reportbug
-Origin: Devuan
+Build-Depends-Indep: python3-nose, python3-setuptools
+Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
+Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug
 
 Package: reportbug
 Architecture: all
@@ -38,7 +35,7 @@
 Package: python3-reportbug
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 1.13), file, python3-requests, python3-apt, sensible-utils
+Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 2.10), file, python3-requests, python3-apt, sensible-utils
 Suggests: reportbug
 Description: Python modules for interacting with bug tracking systems
  reportbug is a tool designed to make the reporting of bugs in Debian

## reportbug 7.6.0ubuntu1

=== debian/changelog ===
reportbug (7.6.0ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 05 Feb 2020 01:33:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 10), python3, dh-python
@@ -31,6 +32,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python

## reportbug 7.7.0ubuntu1

=== debian/changelog ===
reportbug (7.7.0ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.
 -- Logan Rosen <logan@ubuntu.com>  Fri, 10 Jul 2020 16:50:29 -0400

reportbug (7.7.0) unstable; urgency=medium

  [ Bastian Venthur ]
  * Replace nosetests with pytest
  * replace pep8, pyflake, pylint with flake8
  * updated docs
  * removed references to non-existing coverage targets
  * removed remaining traces of nose

  [ Nis Martensen ]
  * reportbug/utils.py
    - support merged-/usr during file search; Closes: #942261
    - get_source_name: improve, use python apt
    - use a single global apt cache
    - simplify mua_is_supported
    - switch from pipes to shlex.quotes
    - simplify mua_exists, drop MUAVERSION
    - drop Mua.get_name()
    - add mua support via xdg-email
      (Closes: #532150, #788045, #865792)
    - protect against too long mailto argument
    - Mua.send: return commandline instead of calling ui.system
    - Mua: rename send → get_send_command
    - rename Xdg → Mailto
    - add direct support for a few more MUAs
      Closes: #271084, #922058
    - reportbug/utils.py: clean up cleanup_msg
    - fix get_source_name breakage from previous change
  * bin/reportbug
    - recognize source packages (and `src:linux`) when sending followup info;
      Closes: #946363
    - try to determine an unambiguous package name to pass to debsums;
      Closes: #940532
    - do not create an empty tempfile if the `outfile` option is given
    - fix re-execution after configuration;
      Closes: #620712, #730236, #780747, #926726
    - Query both binary and source package by default; Closes: #936061
    - minor update for STARTTLS clarification
    - Improved QuertBTSError handling
    - improve and simplify mailer selection in handle_editing
    - handle_editing: capitalize "print ..." menu option
  * reportbug/bugreport.py
    - correctly detect LANGUAGE; Closes: #946963
    - bugreport.py: fix missing cores → threads
  * reportbug/debbugs.py:
    - get_reports: also include bugs that affect the package;
      Closes: #544812
    - get_reports: add support for lists of packages
    - get_reports: drop one try..except
  * reportbug/submit.py:
    - use implicit SSL with port 465
    - show output file name after quitting mailer without sending
  * bin/reportbug, reportbug.utils, test_utils: drop mua_name function
  * reportbug/utils.py,submit.py: rename Mua.name → Mua.executable
  * urlutils.py, checkversions.py: use proxy and timeout;
      Closes: #961955
  * reportbug/ui/gtk_ui.py:
    - fix crash in handle_bts_query on non-Debian systems; Closes: #709862
    - Hide back button; Closes: #855380, #867663, #872772
    - handle_bts_query: Use QuertBTSError instead of NoBugs;
      Closes: #919102, #918989
    - drop broken/unused error_dialog function
    - fix argument order in _assert_context
    - fix crash when copying text to clipboard
    - do not change window title in final_message
  * reportbug/ui/text_ui.py:
    - use subprocess.Popen instead of os.popen; Closes: #961675
    - handle_bts_query: Use QuertBTSError
  * reportbug/ui/urwid_ui.py:
    - survive ancient encoding
    - handle_bts_query: Use QuertBTSError
  * Testsuite:
    - adapt to recent code changes
    - test get_source_name with astroid
    - test_debbugs.py: add ftbfs tag
    - test_utils.py: add test for new xdg-email Mua
    - test: adapt to splitting mailer off utils
    - test/test_mailer.py: do not require all MUAs to be installed
      (Closes: #843337)
    - test_mailer.py: extend for big messages and attachments
    - test_utils.py: dirtify test data for cleanup_msg
    - test_utils.py: complete test for cleanup_msg
    - test_utils.py: adapt cleanup_msg expected results
  * fix some minor typos in various files
  * manpages:
    - document that reportbug will exit after --configure
    - Update for SSL/TLS encrypted submission support
    - reportbug.1: mention how to obtain list of valid BTS systems
      (Closes: #964260)
  * doc/README.Users:
    - Clarify how to configure reportbug.debian.org
      (Closes: #963073)
    - document limitations of MUA support
    - some MUAs now support attachments
  * share/handle_bugscript: convert to UTF-8
  * Lintian fixes:
    - add override for desktop-command-not-in-package
    - d/control: suggest default mta
    - d/copyright: fix obsolete-field-in-dep5-copyright
    - d/copyright: fix dep5-copyright-license-name-not-unique
    - d/copyright: fix missing-license-paragraph-in-dep5-copyright
    - d/copyright: fix missing-field-in-dep5-copyright
    - d/copyright: GPL-any is equivalent to GPL-1+
  * debian/control:
    - switch to debhelper compat level 12
    - add Rules-Requires-Root (R³)
    - update standards-version (no changes needed)
  * split off MUA stuff from utils into new mailer submodule
  * reportbug/mailer.py:
    - Mailto Mua: fix payload decoding
    - Mailto Mua: multipart → mailto is not supported
    - Mailto Mua: not urlquoting "/" should be safe
    - mua_exists: invert logic
    - better attachment file check
  * reportbug/exceptions.py,mailer.py: use custom BadMessage exception
  * do not try to run graphical MUAs in text-only environments
  * Use X-Debbugs-CC as pseudoheader instead of header
  * bin/reportbug,reportbug/submit.py,mailer.py: support attachments with MUA
    Closes: #894794
  * bin/reportbug, reportbug/utils.py: minor regex improvements
  * bin/reportbug, reportbug/ui/gtk_ui.py: allow reply with -N in GTK ui
    (Closes: #687214)
  * bin/reportbug, reportbug.desktop: drop --exit-prompt option

  [ Fabrice BAUZAC ]
  * Improve code documentation

  [ Jens Korte ]


=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: standard
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 10), python3, dh-python
-Build-Depends-Indep: python3-nose, python3-setuptools
+Uploaders: Sandro Tosi <morph@debian.org>, Nis Martensen <nis.martensen@web.de>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), python3, dh-python
+Build-Depends-Indep: python3-pytest, python3-pytest-cov, python3-setuptools
 Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
 Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug
+Rules-Requires-Root: no
 
 Package: reportbug
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-reportbug (= ${source:Version}), sensible-utils
-Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, reportbug-gtk (= ${source:Version}), xdg-utils, emacs-bin-common, claws-mail (>= 3.8.0)
+Suggests: default-mta | postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, reportbug-gtk (= ${source:Version}), xdg-utils, emacs-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:

## reportbug 7.10.3ubuntu1

=== debian/changelog ===
reportbug (7.10.3ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 27 Feb 2021 17:46:58 -0500

reportbug (7.10.3) unstable; urgency=medium

  * reportbug/debbugs.py: handle installation-reports (Closes: #931438)

 -- Nis Martensen <nis.martensen@web.de>  Wed, 24 Feb 2021 22:32:29 +0100

reportbug (7.10.2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 12 Feb 2021 22:00:29 -0500

reportbug (7.10.2) unstable; urgency=medium

  * autopkgtest: set a valid sender address

 -- Nis Martensen <nis.martensen@web.de>  Wed, 10 Feb 2021 21:45:34 +0100

reportbug (7.10.1) unstable; urgency=medium

  * reportbug/utils.py: fix crash without /etc/email-addresses

 -- Nis Martensen <nis.martensen@web.de>  Tue, 09 Feb 2021 19:02:10 +0100

reportbug (7.10.0ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Feb 2021 21:46:21 -0500

reportbug (7.10.0) unstable; urgency=medium

  [ Logan Rosen ]
  * Add tags to existing bug (Closes: #694161)

  [ Nis Martensen ]
  * reportbug/utils.py: minor code cleanups
  * bin/reportbug: recognize 'src:' shortcut for --source option
    (Closes: #978398)
  * bin/reportbug, reportbug/utils.py: improve checks for invalid from address
    (Closes: #933006)
  * reportbug/utils.py: pseudo-package reports do not need system information
    (Closes: #922626)
  * reportbug/tempfiles.py: make tempfile names include time of day
    (Closes: #929972)
  * reportbug/debbugs.py: add affects for RFH, RFA, and O wnpp bugs
    (Closes: #904252)
  * bin/reportbug: exit if specified attachments do not exist (Closes: #671398)
  * reportbug/utils.py: add try..except in get_source_name() (Closes: #979333)
  * extend copyright notice to 2021
  * reportbug.utils.get_package_status: use one long description
  * reportbug/debbugs.py: handle upgrade reports
  * bin/reportbug: drop some severities for virtual packages
  * reportbug/ui/gtk_ui.py: don't cut off lines if there is no sysinfo
  * bin/reportbug: set up upgrade/installation-reports aliases w/o "s"
  * reportbug/utils.py: fix source package lookup for udebs.
    Thanks to David Kalnischkies for advice (Closes: #982281)

 -- Nis Martensen <nis.martensen@web.de>  Mon, 08 Feb 2021 18:47:18 +0100

reportbug (7.9.0ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 22 Dec 2020 23:27:16 -0500

reportbug (7.9.0) unstable; urgency=medium

  [ Roderich Schupp ]
  * reportbug/ui/gtk_ui.py: fix crash with Python 3.9 (Closes: #975398)

  [ Guillem Jover ]
  * reportbug/debbugs.py: Only Cc debian-boot on overrides on priority changes
  * reportbug/debbugs.py: Add appropriate usertags for overrides
  * reportbug/debbugs.py: Add golang as a known section for overrides

  [ Nis Martensen ]
  * bin/reportbug, reportbug/ui/*: unify yes_no question mark handling
  * bin/reportbug: wrap exceedingly long string lines
  * bin/reportbug: add -r / --resume-saved option (Closes: #328531, #702107)
  * man/reportbug.1, bin/reportbug: document new --resume-saved option
    (Closes: #712066)
  * man/reportbug.1: various minor manpage updates
  * reportbug/submit.py: clarify what to do with saved reports (Closes: #867269)
  * reportbug/ui/text_ui.py: preserve newlines in long_message()
  * reportbug/ui/gtk_ui.py: unify newlines in long_message()
  * reportbug/ui/urwid_ui.py: unify newlines in long_message()
  * reportbug/debbugs.py: include and pre-select default in menus
    (Closes: #855172)
  * add autopkgtest: debian/tests/control, debian/tests/runnable
  * conf/reportbug.conf, man/reportbug.conf.5: do not mention outfile
  * reportbug.conf, utils.py: add draftpath config file option
  * reportbug/submit.py: drop newlines from final_message text
  * bin/reportbug: error out if reportbug has no way to submit
    (Closes: #813660)
  * bin/reportbug: clarify comment about offline setting (Closes: #910712)
  * bin/reportbug: skip tags prompt with -r and mode > NOVICE
  * bin/reportbug: add missing replyto argument when just saving
    (Closes: #819570)
  * bin/reportbug: move MTA check from main() into UI()
  * debian/control: update standards-version (no changes needed)
  * reportbug/ui/gtk_ui.py: truncate long messages to avoid crashing

 -- Nis Martensen <nis.martensen@web.de>  Tue, 22 Dec 2020 11:39:14 +0100

reportbug (7.8.0ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.


=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Nis Martensen <nis.martensen@web.de>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 12), python3, dh-python
 Build-Depends-Indep: python3-pytest, python3-pytest-cov, python3-setuptools
 Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
@@ -19,7 +19,7 @@
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
-  * Integration with mutt and mh/nmh mail readers.
+  * Integration with many mail user agents.
   * Access to outstanding bug reports to make it easier to identify
     whether problems have already been reported.
   * Automatic checking for newer versions of packages.
@@ -27,9 +27,10 @@
   * Support for following-up on outstanding reports.
   * Optional PGP/GnuPG integration.
  .
- reportbug is designed to be used on systems with an installed mail
- transport agent, like exim or sendmail; however, you can edit the
- configuration file and send reports using any available mail server.
+ Bug reporting in Debian relies on email; reportbug can use a local
+ mail transport agent (like exim or sendmail), submit directly through
+ an external mail server, or pass messages to an installed mail user
+ agent (e.g., mutt) for submission.
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
@@ -55,12 +56,12 @@
 Package: reportbug-gtk
 Architecture: all
 Priority: optional
-Depends: ${misc:Depends}, reportbug (= ${source:Version}), python3-gi, python3-gi-cairo, gir1.2-gtk-3.0, gir1.2-vte-2.91, python3-gtkspellcheck
+Depends: ${misc:Depends}, reportbug (= ${source:Version}), python3-gi, python3-gi-cairo, gir1.2-gtk-3.0, gir1.2-vte-2.91, gir1.2-gtksource-3.0, python3-gtkspellcheck
 Description: reports bugs in the Debian distribution (GTK+ UI)
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
-  * Integration with mutt and mh/nmh mail readers.
+  * Integration with many mail user agents.
   * Access to outstanding bug reports to make it easier to identify
     whether problems have already been reported.
   * Automatic checking for newer versions of packages.
@@ -68,9 +69,10 @@
   * Support for following-up on outstanding reports.
   * Optional PGP/GnuPG integration.
  .
- reportbug is designed to be used on systems with an installed mail
- transport agent, like exim or sendmail; however, you can edit the
- configuration file and send reports using any available mail server.
+ Bug reporting in Debian relies on email; reportbug can use a local
+ mail transport agent (like exim or sendmail), submit directly through
+ an external mail server, or pass messages to an installed mail user
+ agent (e.g., mutt) for submission.
  .
  This package contains a desktop file and icon, and has dependencies
  to enable the GTK+ UI mode of reportbug to work.

## reportbug 7.10.3+deb11u1

=== debian/changelog ===
reportbug (7.10.3+deb11u1) bullseye; urgency=medium

  [ Thomas Goirand ]
  * Update suite names vs stable/oldstable, so it's possible to request for
    bullseye-pu (Closes: #992332).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 17:35:39 +0200

## reportbug 7.10.3+deb11u2

=== Makefile ===
#! /usr/bin/make -f

.PHONY: tests
tests:
	pytest-3

# run tests not requiring network
.PHONY: quicktests
quicktests:
	pytest-3 -m 'not network'

.PHONY: lint
lint:
	flake8 . bin/*

.PHONY: clean
clean:
	find . -type f -name '*.pyc' -delete
	find . -type d -name '__pycache__' -delete
	rm -rf build
	rm -rf reportbug.egg-info

=== debian/changelog ===
reportbug (7.10.3+deb11u2) bullseye; urgency=medium

  * Rotate suite names after the bookworm release.  (Closes: #1034260)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Jun 2024 13:11:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Nis Martensen <nis.martensen@web.de>
 Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 12), python3, dh-python
@@ -34,10 +33,6 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python

## reportbug 7.10.3+devuan1

=== debian/changelog ===
reportbug (7.10.3+devuan1) unstable; urgency=medium

  * Merge 7.10.3.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 08 Mar 2021 10:49:50 +0000

reportbug (7.10.2+devuan1) unstable; urgency=medium

  * Merge 7.10.2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 24 Feb 2021 17:49:48 +0000

reportbug (7.9.0+devuan1) unstable; urgency=medium

  * Merge Debian verison 7.9.0.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 26 Dec 2020 16:11:11 +0000

reportbug (7.8.0+devuan1) unstable; urgency=medium

  * Merge Debian version 7.8.0 (Closes: #455).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 30 Oct 2020 15:05:17 +0000

reportbug (7.7.0+devuan1) unstable; urgency=medium

  * Merge Debian 7.7.0.
  * d/control: update Vcs-* fields following Gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 16 Jul 2020 12:14:29 +0100

reportbug (7.6.0+devuan1) unstable; urgency=medium

  * Adopt package.
  * Merge version 7.6.0.
  * Add possible need to specify smtphost as well as bts to manpage
    (Closes: #475).
  * Add query bts defaults to manpage.
  * Add Devuan to package description.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 25 May 2020 10:56:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>, Nis Martensen <nis.martensen@web.de>
+Maintainer: Mark Hindley <mark@hindley.org.uk>
+Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
 Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 12), python3, dh-python
 Build-Depends-Indep: python3-pytest, python3-pytest-cov, python3-setuptools
-Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
-Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug
+Vcs-Git: https://git.devuan.org/devuan/reportbug.git
+Vcs-Browser: https://git.devuan.org/devuan/reportbug
+Origin: Devuan
 Rules-Requires-Root: no
 
 Package: reportbug
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-reportbug (= ${source:Version}), sensible-utils
 Suggests: default-mta | postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, reportbug-gtk (= ${source:Version}), xdg-utils, emacs-bin-common, claws-mail (>= 3.8.0)
-Description: reports bugs in the Debian distribution
+Description: reports bugs in the Devuan or Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
@@ -52,7 +53,7 @@
 Architecture: all
 Priority: optional
 Depends: ${misc:Depends}, reportbug (= ${source:Version}), python3-gi, python3-gi-cairo, gir1.2-gtk-3.0, gir1.2-vte-2.91, gir1.2-gtksource-3.0, python3-gtkspellcheck
-Description: reports bugs in the Debian distribution (GTK+ UI)
+Description: reports bugs in the Devuan or Debian distribution (GTK+ UI)
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
